Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.runtime
Class PCDataImpl

    java.lang.Object
      |
      +--kodo.runtime.AbstractPCData
            |
            +--kodo.runtime.PCDataImpl

All Implemented Interfaces:
  PCData, Serializable

Direct Known Subclasses:
  DataCachePCDataImpl

public synchronized class PCDataImpl
extends AbstractPCData

See Also:
  Serialized Form

Fields inherited from class kodo.runtime.AbstractPCData
`NULL`

Constructor Summary
`PCDataImpl(Object, ClassMetaData)`

Method Summary
`void` | `clearData(int)`
`Object` | `getData(int)` Return the data stored in the given field index.
`Object` | `getId()` Return the id of this instance.
`Object` | `getImplData()` Returns the instance-level impl data, or null if none.
`Object` | `getImplData(int)`
`Object` | `getIntermediate(int)`
`BitSet` | `getLoaded()`
`Class` | `getType()` Return the type of this instance.
`Object` | `getVersion()` Returns the current version object that this data was loaded from.
`boolean` | `isLoaded(int)` Whether the given field index has stored data.
`void` | `load(KodoStateManager, BitSet, FetchConfiguration, Object)` Loads some or all of the marked fields from the cache into the given state manager.
`void` | `load(KodoStateManager, FetchConfiguration, Object)` Loads all fields that are currently stored in the cache into the given state manager.
`protected void` | `loadField(KodoStateManager, FieldMetaData, FetchConfiguration, Object)`
`protected void` | `loadImplData(KodoStateManager)`
`protected void` | `loadImplData(KodoStateManager, FieldMetaData)`
`protected void` | `loadIntermediate(KodoStateManager, FieldMetaData)`
`protected void` | `loadVersion(KodoStateManager)`
`AbstractPCData` | `newEmbeddedPCData(KodoStateManager)`
`void` | `setData(int, Object)`
`void` | `setImplData(int, Object)`
`void` | `setImplData(Object)` Sets the stored instance-level impl data.
`void` | `setIntermediate(int, Object)`
`void` | `setLoaded(int, boolean)`
`void` | `setVersion(Object)` Sets the current version object that this data was loaded from.
`void` | `store(KodoStateManager)` Store all loaded fields of the state manager.
`void` | `store(KodoStateManager, BitSet)` Store the given fields from the state manager.
`protected void` | `storeField(KodoStateManager, FieldMetaData)`
`protected void` | `storeImplData(KodoStateManager)`
`protected void` | `storeImplData(KodoStateManager, FieldMetaData, boolean)`
`protected void` | `storeIntermediate(KodoStateManager, FieldMetaData)`
`protected void` | `storeVersion(KodoStateManager)`

Methods inherited from class kodo.runtime.AbstractPCData
`toData, toEmbeddedData, toEmbeddedField, toField, toNestedData, toNestedField, toRelationData, toRelationField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PCDataImpl

    public PCDataImpl(Object,
                      ClassMetaData)

Method Detail

### getId

    public Object getId()

  Description copied from interface: `PCData`
  Return the id of this instance.
  Overrides:
    `getId` in class `AbstractPCData`

### getType

    public Class getType()

  Description copied from interface: `PCData`
  Return the type of this instance.
  Overrides:
    `getType` in class `AbstractPCData`

### getLoaded

    public BitSet getLoaded()

  Overrides:
    `getLoaded` in class `AbstractPCData`

### getData

    public Object getData(int)

  Description copied from interface: `PCData`
  Return the data stored in the given field index.
  Overrides:
    `getData` in class `AbstractPCData`

### setData

    public void setData(int,
                        Object)

### clearData

    public void clearData(int)

### getImplData

    public Object getImplData()

  Description copied from interface: `PCData`
  Returns the instance-level impl data, or null if none.
  Overrides:
    `getImplData` in class `AbstractPCData`

### setImplData

    public void setImplData(Object)

  Description copied from interface: `PCData`
  Sets the stored instance-level impl data.
  Overrides:
    `setImplData` in class `AbstractPCData`

### getImplData

    public Object getImplData(int)

### setImplData

    public void setImplData(int,
                            Object)

### getIntermediate

    public Object getIntermediate(int)

### setIntermediate

    public void setIntermediate(int,
                                Object)

### isLoaded

    public boolean isLoaded(int)

  Description copied from interface: `PCData`
  Whether the given field index has stored data.
  Overrides:
    `isLoaded` in class `AbstractPCData`

### setLoaded

    public void setLoaded(int,
                          boolean)

### getVersion

    public Object getVersion()

  Description copied from interface: `PCData`
  Returns the current version object that this data was loaded from.
  Overrides:
    `getVersion` in class `AbstractPCData`

### setVersion

    public void setVersion(Object)

  Description copied from interface: `PCData`
  Sets the current version object that this data was loaded from.
  Overrides:
    `setVersion` in class `AbstractPCData`

### load

    public void load(KodoStateManager,
                     FetchConfiguration,
                     Object)

  Description copied from interface: `PCData`
  Loads all fields that are currently stored in the cache into the given state manager.
  Overrides:
    `load` in class `AbstractPCData`
  Following copied from interface: `kodo.runtime.PCData`
  Parameters:
    `sm` - the state manager to load
    `fetch` - the fetch configuration to use for loading related objects
    `context` - current context information

### load

    public void load(KodoStateManager,
                     BitSet,
                     FetchConfiguration,
                     Object)

  Description copied from interface: `PCData`
  Loads some or all of the marked fields from the cache into the given state manager.
  Overrides:
    `load` in class `AbstractPCData`
  Following copied from interface: `kodo.runtime.PCData`
  Parameters:
    `sm` - the state manager to load
    `fields` - the fields to load; clear the bits for the fields that are successfully loaded
    `fetch` - the fetch configuration to use for loading related objects
    `context` - current context information

### loadVersion

    protected void loadVersion(KodoStateManager)

### loadImplData

    protected void loadImplData(KodoStateManager)

### loadField

    protected void loadField(KodoStateManager,
                             FieldMetaData,
                             FetchConfiguration,
                             Object)

### loadImplData

    protected void loadImplData(KodoStateManager,
                                FieldMetaData)

### loadIntermediate

    protected void loadIntermediate(KodoStateManager,
                                    FieldMetaData)

### store

    public void store(KodoStateManager)

  Description copied from interface: `PCData`
  Store all loaded fields of the state manager.
  Overrides:
    `store` in class `AbstractPCData`

### store

    public void store(KodoStateManager,
                      BitSet)

  Description copied from interface: `PCData`
  Store the given fields from the state manager.
  Overrides:
    `store` in class `AbstractPCData`

### storeVersion

    protected void storeVersion(KodoStateManager)

### storeImplData

    protected void storeImplData(KodoStateManager)

### storeField

    protected void storeField(KodoStateManager,
                              FieldMetaData)

### storeIntermediate

    protected void storeIntermediate(KodoStateManager,
                                     FieldMetaData)

### storeImplData

    protected void storeImplData(KodoStateManager,
                                 FieldMetaData,
                                 boolean)

### newEmbeddedPCData

    public AbstractPCData newEmbeddedPCData(KodoStateManager)

  Overrides:
    `newEmbeddedPCData` in class `AbstractPCData`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.